//
//  MessageTemplateHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/5/12.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "MessageTemplateHttpPostCmd.h"
#import "MessageTemplateHttpResult.h"

static NSString *kActionUrl1 = @"/messageTemplate/Appquery";

@implementation MessageTemplateHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[MessageTemplateHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[MessageTemplateHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}

@end
NSString *const kHttpMessageTemplateHttpPostCmd_attr = @"attr";
NSString *const kHttpMessageTemplateHttpPostCmd_empid = @"empid";
NSString *const kHttpMessageTemplateHttpPostCmd_companyname = @"companyname";
NSString *const kHttpMessageTemplateHttpPostCmd_filters = @"filters";
NSString *const kHttpMessageTemplateHttpPostCmd_logic = @"logic";
NSString *const kHttpMessageTemplateHttpPostCmd_pageNum = @"pageNum";
NSString *const kHttpMessageTemplateHttpPostCmd_pageSize = @"pageSize";
